It works!

1.77